<template>
  <div id="app" :class="$style.app">
    <main-layout>
      <keep-alive slot="page">
        <router-view />
      </keep-alive>
      <search-view v-if="viewportSize !== 'small'" slot="search" />
    </main-layout>
  </div>
</template>

<script>
import MainLayout from "./components/layout/mian-layout";
import SearchView from "./views/desktop/search.vue";

import { viewportSizeMixin } from "@/shared/mixins";

export default {
  name: "App",
  mixins: [viewportSizeMixin],
  components: { MainLayout, SearchView }
};
</script>

<style lang="scss" module>
@import url("https://fonts.googleapis.com/css2?family=Roboto:wght@400;500;900&display=swap");

.app {
  position: relative;
  width: 100vw;
  min-height: 100vh;
  background-color: white;
}
</style>
